syntax = "proto3";
option go_package = ".;pb";

message DBWorldtask {
  string uid = 1; //@go_tags(`bson:"uid"`) 玩家ID
  repeated int32 taskList = 3; //@go_tags(`bson:"taskList"`)  任务列表
  map<int32, Worldtask> currentTask = 4; //@go_tags(`bson:"currentTask"`) 正在进行的任务
  map<int32,int32> chapters = 5; //@go_tags(`bson:"chapters"`) key章节ID v状态 1已解锁2已领取
  int64 daliyRefreshTime = 6; //@go_tags(`bson:"daliyRefreshTime"`)
  int64 weekRefreshTime = 7; //@go_tags(`bson:"weekRefreshTime"`)
}

message Worldtask {
  int32 taskId = 1; //@go_tags(`bson:"taskIds"`) 任务ID
  int32 taskType= 3; //@go_tags(`bson:"taskType"`) 任务类型 1 日/周常 2随机任务 3支线剧情
  int32 npcStatus = 5; //@go_tags(`bson:"npcStatus"`) NPC任务完成状态0未完成 1完成
  repeated int32 condiIds = 6; //@go_tags(`bson:"condiIds"`) 任务完成条件
  int32 deliverNpc = 7; //@go_tags(`bson:"deliverNpc"`) 交付NPC完成状态0未完成 1完成
}